{ pkgs ? import <nixpkgs> { } }:

let
  inherit (pkgs) callPackage;
  inherit (pkgs.lib) optionalAttrs;

in rec {

  authelia = callPackage ./pkgs/authelia { };

  nextcloud-spreed-signaling = callPackage ./pkgs/nextcloud-spreed-signaling { };

  ykoath-tools = callPackage ./pkgs/ykoath-tools { };

} // optionalAttrs (pkgs.system == "x86_64-linux") rec {

  ryzen_smu = callPackage ./pkgs/ryzen_smu { kernel = pkgs.linux; };

} // optionalAttrs (builtins.elem pkgs.system pkgs.lib.platforms.linux) rec {

  xmm7360-pci = callPackage ./pkgs/xmm7360-pci { kernel = pkgs.linux; };

  xmm7360-pci-tools = callPackage ./pkgs/xmm7360-pci/tools.nix { inherit xmm7360-pci; };

}
