{ lib
, buildGoModule
, fetchFromGitHub
, ...
}:

buildGoModule rec {
  pname = "authelia";
  version = "4.37.2";

  src = fetchFromGitHub {
    owner = "authelia";
    repo = pname;
    rev = "v${version}";
    hash = "sha256-zNMZkIUEsOX+z1YnGnYC1OKUanUj4sLvRQ8zjhK98jg=";
  };

  vendorHash = "sha256-RodWMeHdlu7WeWmg415giL9Nfw2OoIIOABwgwzegULE=";

  doCheck = false;

  meta = with lib; {
    description = "The Single Sign-On Multi-Factor portal for web apps";
    homepage = "https://www.authelia.com";
    licenses = licenses.asl20;
    maintainers = with maintainers; [ aw ];
    platforms = platforms.unix;
  };
}
